#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'beranda.verifikator'}
#{/set}

<div class="breadcrumb">&{'beranda.daftar_penyedia_barang'}</div>
<div class="content">     
    <table class="table table-sm" id="tblRekanan">
        <thead>      
        <tr>
            <th width="10%">No </th>
            <th>&{'beranda.nama_penyedia'}</th>
            <th>&{'beranda.npwp'}</th>
            <th>&{'beranda.email'}</th>
            <th width="150px">&{'beranda.tanggal_daftar'}</th>
            <th width="100">&{'beranda.bentuk_usaha'}</th>
        </tr>
        </thead>
        <tbody>			
        </tbody>
    </table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
    var rekananView = #{jsRoute @VerifikatorCtr.view(':id') /};
    var table = $("#tblRekanan").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.rekanan(0)}",
        columns: [null,{render: function(data, type, row) {
        	 	var id = row[0];
                var disabled = row[9];
                var blacklist = "";
             	if (row[8] != null) blacklist = "<i class=\"fa fa-minus-circle\"></i>";              
                if (disabled==0)               
                    row[1] = "<a href='"+rekananView.url({id:id})+"'>"+row[1]+"</a>"+" (Non-Aktif)"+blacklist+"<br />"+row[3]+"<br />No. Telepon : "+row[2];
                else
                    row[1] = "<a href='"+rekananView.url({id:id})+"'>"+row[1]+"</a>"+blacklist+"<br />"+row[3]+"<br />No. Telepon : "+row[2];
                row[2] = row[4];
                row[3] = row[5];
                row[4] = row[6];
                row[5] = row[12];
                return row[1];
        	}},null, null, null, null,{visible:false}, {visible:false}, {visible:false},{visible:false},{visible:false},{visible:false}
        ]
    });
    $('#tblRekanan_filter input').unbind();
    $('#tblRekanan_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
